#define BASE64_LEN(len) (4 * (((len) + 2) / 3) +2)


#define HTTP_STATUS_UNKNOWN		0
#define HTTP_STATUS_OK			200
#define HTTP_STATUS_REDIRECT		301
#define HTTP_STATUS_NOT_MODIFIED	304
#define HTTP_STATUS_DELETE		400
#define HTTP_STATUS_RETRY		503

void base64_encode (const char *s, char *store, int length);

int HTTPResponseType(int status);

char *HTTPErrMsg(int code);
int HTTPGet(char *host,int port,char *header,
	char *dist,int maxsize,int read_timeout);

int FILEGet(char *header,char *dist,int maxsize);
int NEWSGet(char *host,int port,char *header,
	char *dist,int maxsize,int read_timeout);

int AddType(char *mime_type,char *reg);
